"# Binkd sample configuration file\n"
"# Copyright (C) 1996-1997 by Dima Maloff, 2:5047/13\n"
"# $Id: binkd.cfg,v 1.5 1997/10/23 03:18:31 mff Exp $\n"
"\n"
"#\n"
"# Your FTN domains:\n"
"#	domain <name> <main-outbound> <default-zone>\n"
"# or\n"
"#	domain <new-name> alias-for <name>\n"
"#\n"
"domain fidonet f:\\fido\\out 2\n"
"domain fido alias-for fidonet\n"
"domain fidonet.org alias-for fidonet\n"
"\n"
"# \n"
"# Your addresses, 4D or 5D:\n"
"#	address <addr1> ...\n"
"#\n"
"address 2:31/1.999@fidonet\n"
"\n"
"# \n"
"# The name of your system, it's location, and your name\n"
"#\n"
"sysname "Gabriels Point"\n"
"location "Vienna, Austria"\n"
"sysop "Gabriel Plutzar"\n"
"\n"
"#\n"
"# System capabilities\n"
"#\n"
"nodeinfo 115200,TCP,BINKP\n"
"\n"
"#\n"
"# TCP settings. Leave this unchanged if not sure.\n"
"#\n"
"#iport binkp\n"
"#oport binkp\n"
"#oblksize 4096\n"
"#timeout 60\n"
"\n"
"#\n"
"# Delay calls and outbound rescans\n"
"#\n"
"#call-delay 60\n"
"#rescan-delay 60\n"
"\n"
"#\n"
"# Max. number of inbound/outbound connections\n"
"#\n"
"#maxservers 2\n"
"#maxclients 2\n"
"\n"
"#\n"
"# Binkd will try to call a node N times, if failed, it will\n"
"# hold the node for S seconds. The feature is off by default.\n"
"#\n"
"try 10\n"
"hold 600\n"
"\n"
"#	\n"
"# hold-skipped <S>\n"
"# Binkd will hold all mail, skipped by a node, for S seconds. (Def. -- 3600)\n"
"#\n"
"#hold-skipped 3600\n"
"\n"
"#\n"
"# Don't send (only receive) files if no password for an inbound session \n"
"#		\n"
"send-if-pwd\n"
"\n"
"#\n"
"# Path and name for the logfile, loglevel\n"
"#\n"
"log f:\\fido\\binkd\\binkd.log\n"
"loglevel 4\n"
"\n"
"#\n"
"# Uncomment it if you want binkd's log at your console\n"
"#\n"
"#conlog 4\n"
"\n"
"#\n"
"# Uncomment if you want T-Mail(FrontDoor)-style binary log\n"
"# (Will work and have sense on PCs only?) \n"
"# Tzoff corrects UTC time returned by time() under DOS-derived OS\n"
"#\n"
"#binlog binkd.sts\n"
"#fdinhist in.his\n"
"#fdouthist out.his\n"
"#tzoff 10800\n"
"\n"
"#\n"
"# Use syslog (Only if made with -DHAVE_VSYSLOG and -DHAVE_FACILITYNAMES)\n"
"#\n"
"#syslog local0\n"
"\n"
"#\n"
"# Print percents while sending or receiving \n"
"#\n"
"percents\n"
"\n"
"#\n"
"# List queue after rescans\n"
"#\n"
"printq\n"
"\n"
"#\n"
"# Perform reverse resolving (for logging only)\n"
"#\n"
"backresolv\n"
"\n"
"#\n"
"# Log pid:\n"
"#\n"
"#pid-file /var/run/binkd.pid\n"
"\n"
"#\n"
"# Map paths in flo's:\n"
"#	ftrans <old-string> <new-string>\n"
"# Use as many ftrans's as you want.\n"
"#\n"
"#ftrans "D:\\fido\\outbound" "/var/spool/fido/outb"\n"
"#ftrans "\\" "/" # this replaces all slashes in a path\n"
"\n"
"#\n"
"# Inbound directory for secure and non-secure links\n"
"#\n"
"inbound f:\\fido\\in.sec\n"
"inbound-nonsecure f:\\fido\\in\n"
"\n"
"#\n"
"# Binkd will skip all files from a node if \n"
"# size_of_the_next_file_for_us_there + minfree < free_space_in_inbound\n"
"#\n"
"minfree 2048\n"
"minfree-nonsecure 2048\n"
"\n"
"#\n"
"# When trying to receive a new file: remove from inbound partial \n"
"# files with this name but diff.size or time. (If commented out, binkd\n"
"# will left old parts as .dt and .hr in the inbound directory)\n"
"#\n"
"kill-dup-partial-files\n"
"\n"
"#			\n"
"# Remove from inbound all old partial files. (OFF if commented out)\n"
"#	kill-old-partial-files <max-age-in-seconds>\n"
"#\n"
"kill-old-partial-files 86400\n"
"\n"
"#\n"
"# Remove old .bsy/.csy files (If some left after a system crash). It would be \n"
"# wise to set this to 43200 (12 hrs) on almost any system. (Note that binkd \n"
"# always touches .bsy's/.csy's for active sessions) \n"
"#\n"
"# kill-old-bsy is OFF by default.\n"
"#\n"
"#kill-old-bsy 43200\n"
"\n"
"#\n"
"# Create a flag file after receiving a file\n"
"#\n"
"#flag toss!.now *.pkt\n"
"#flag toss!.now *.su? *.mo? *.tu? *.we? *.th? *.fr? *.sa?\n"
"\n"
"#\n"
"# Run an external program. \n"
"# The "*S" macro in command line substed with S.R.I.F., see !SRIF.TXT\n"
"#\n"
"#exec "my-freq-processor.exe /options *S" *.req\n"
"#exec "my-pkt-unpacker.exe /options *S" *.pkt\n"
"#exec "f:\\fd\\faste2\\fastecho toss" *.su? *.mo? *.tu? *.we? *.th? *.fr? *.sa? *.pkt *.SU? *.MO? *.TU? *.WE? *.TH? *.FR? *.SA? *.PKT\n"
"#\n"
"# Include a file \n"
"#\n"
"#include binkd.inc\n"
"\n"
"#\n"
"# Overrides root domain for DNS lookups, see `node' below.\n"
"#\n"
"#root-domain fidonet.net\n"
"\n"
"#\n"
"# Define a link:\n"
"#       node [[z:]n/]n[.p][@domain] [-nr] [{hosts|-} [{pwd|-} [flavour [{obox|-} [{ibox|-}]]]]]\n"
"#\n"
"# * All non-"-" fields will redefine values specified for the same node \n"
"#	earlier in config. \n"
"# * Flavour is one of i, c, d, -, h; and is the flavour for the outbound\n"
"# 	filebox ("obox"). \n"
"# * Binkd sends from obox all non-dir entries NOT matching ".*" wildcard.\n"
"#	EVERY TIME YOU PUT A FILE INTO OBOX CHECK IF BINKD WILL BE ABLE TO\n"
"#	UNLINK IT. Otherwise, the session will never end.\n"
"# * Default for ibox is inbound or inbound-nosecure depending on the pwd field. \n"
"# * Default for port is oport.\n"
"# * `-nr' stands for `Not Reliable Link', this works only on outbound calls \n"
"#	with another binkp/1.1 mailer. The option solves the only problem with\n"
"#	binkd having no enough time to start receiving of a file from \n"
"#	non-zero offset before IP link's down, so don't use it unless you \n"
"#	have this problem -- really not effective\n"
"# * Hosts is a list in form\n"
"#       host1[:port1][;host2[:port2]] ...\n"
"# * Asterisk (`*') in the host list forces Binkd to perform\n"
"#       1:2/3.4 --> p4.f3.n2.z1.fidonet.net translation for a node's\n"
"#       Fido-address and lookup IP for the resulting FQDN in DNS.\n"
"#       Root domain part ("fidonet.net") can be changed with root-domain\n"
"#       keyword.\n"
"#	\n"
"#node 5047/888 - password\n"
"#node 5047/999 hostname;* password i c:\\bbs\\boxes\\to999 c:\\bbs\\boxes\\from999\n"
"node 2:31/1@fidonet 128.130.46.136 test h
\n"
